Bug 218702 - lang/go: go-1.8.1 does not buiild
Summary: lang/go: go-1.8.1 does not buiild
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Julien Laffaye
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-17 12:30 UTC by Kenji Rikitake
Modified: 2017-04-20 23:52 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (jlaffaye)


Attachments
Patch of Makefile for go-1.8.1 (877 bytes, patch)
2017-04-17 12:30 UTC, Kenji Rikitake
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenji Rikitake 2017-04-17 12:30:09 UTC
Created attachment 181840 [details]
Patch of Makefile for go-1.8.1

Building lang/go for go-1.8.1,1 on FreeBSD amd64 11.0-STABLE r316723 fails with the following error message:

===>  Staging for go-1.8.1,1
===>   Generating temporary packing list
====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/lib/time/update.bash'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/misc/benchcmp'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/misc/nacl/go_nacl_386_exec'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/misc/nacl/go_nacl_amd64p32_exec'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/misc/nacl/go_nacl_arm_exec'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/all.rc'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/clean.rc'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/src/cmd/dist/mkdeps.bash'
Error: '/bin/bash' is an invalid shebang you need USES=shebangfix for 'go/src/cmd/go/mkalldocs.sh'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/make.rc'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'go/src/net/http/cgi/testdata/test.cgi'
Error: '/usr/bin/perl' is an invalid shebang you need USES=shebangfix for 'go/src/regexp/syntax/make_perl_groups.pl'
Error: '/bin/rc' is an invalid shebang you need USES=shebangfix for 'go/src/run.rc'
*** Error code 1

The attached patch will add new dependencies, including RUN_DEPENDS for shells/rc.
Comment 1 Kenji Rikitake 2017-04-18 12:57:35 UTC
Note: DEVELOPER=yes is set on /etc/make.conf
Comment 2 commit-hook freebsd_committer 2017-04-20 16:59:36 UTC
A commit references this bug:

Author: jlaffaye
Date: Thu Apr 20 16:59:10 UTC 2017
New revision: 438983
URL: https://svnweb.freebsd.org/changeset/ports/438983

Log:
  Fix build with new shebang checks

  PR:		218702
  Submitted by:	Kenji Rikitake <kenji@k2r.org>

Changes:
  head/lang/go/Makefile
Comment 3 Julien Laffaye freebsd_committer 2017-04-20 17:00:15 UTC
Committed, thanks!

Note: I removed the rc dep as it is not needed to use the port.
Comment 4 Kenji Rikitake 2017-04-20 23:52:30 UTC
(In reply to Julien Laffaye from comment #3)

> Note: I removed the rc dep as it is not needed to use the port.
No problem. Thanks!